| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::BuiltinScriptTranslatorManager Class Reference
Core » General

This class manages the builtin translators. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::BuiltinScriptTranslatorManager:
[legend]

## Public Member Functions
| BuiltinScriptTranslatorManager ()
virtual size_t | getNumTranslators () const
| Returns the number of translators being managed. More...
virtual ScriptTranslator * | getTranslator (const AbstractNodePtr &node)
| Returns a manager for the given object abstract node, or null if it is not supported. More...

## Detailed Description

This class manages the builtin translators.

## Constructor & Destructor Documentation

## ◆ BuiltinScriptTranslatorManager()

Ogre::BuiltinScriptTranslatorManager::BuiltinScriptTranslatorManager | ( |  | ) |

## Member Function Documentation

## ◆ getNumTranslators()

virtual size_t Ogre::BuiltinScriptTranslatorManager::getNumTranslators | ( |  | ) | const
| virtual

Returns the number of translators being managed.

Implements Ogre::ScriptTranslatorManager.

## ◆ getTranslator()

virtual ScriptTranslator* Ogre::BuiltinScriptTranslatorManager::getTranslator | ( | const AbstractNodePtr & | node | ) |
| virtual

Returns a manager for the given object abstract node, or null if it is not supported.

Implements Ogre::ScriptTranslatorManager.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h